#include"fps.h"

FPS::FPS(int d)
{
  interval=d;
  list=new timeb[interval];
  for(p=0;p<interval;p++)ftime(&list[p]);
  p=0;
}

double FPS::update()
{
  int p2=(p+1)%interval;
  ftime(&list[p]);
  double diff=list[p].time-list[p2].time +
             (1.0/1000.0)*(list[p].millitm-list[p2].millitm);
  p=p2;
  fps=(double)interval/diff;
  dt=1.0/fps;
  return dt;
}
 
