#include "OgreGfxAnimationSet.H"

OgreGfxAnimationSet::OgreGfxAnimationSet(Ogre::Entity *objEntity){

  Ogre::AnimationStateSet *animations = objEntity->getAllAnimationStates();
  if( animations == 0 ){ std::cout << "ERROR: NO ANIMATIONS FOUND" << std::endl; exit(1);  } //ERROR: No animations found just exit
  Ogre::AnimationStateIterator asi = animations->getAnimationStateIterator();
  
  idleAnimationState = asi.getNext();
  moveAnimationState = asi.getNext();
  attackAnimationState = asi.getNext();
  dieAnimationState = asi.getNext();
  specialAnimationState = asi.getNext();
}

OgreGfxAnimationSet::~OgreGfxAnimationSet(){


}
